Skip to content

Get a call

Request

Retrieve a single call by id.

Security
bearerAuth
Path
idstringrequired

The id of the call to retrieve

Headers
Intercom-Versionstring(intercom_version)

Intercom API version.
By default, it's equal to the version set in the app package.

Default:"2.14"
Enum:"1.0""1.1""1.2""1.3""1.4""2.0""2.1""2.2""2.3""2.4"
Example:2.14
curl -i -X GET \
  'https://api.intercom.io/calls/{id}' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
  -H 'Intercom-Version: 2.14'

Responses

successful

Bodyapplication/json
typestring

String representing the object's type. Always has the value call.

Example:"call"
idstring

The id of the call.

Example:"123"
conversation_idstring or null

The id of the conversation associated with the call, if any.

Example:"456"
admin_idstring or null

The id of the admin associated with the call, if any.

Example:"789"
contact_idstring or null

The id of the contact associated with the call, if any.

Example:"6762f0dd1bb69f9f2193bb83"
statestring

The current state of the call.

Example:"completed"
initiated_atstring (string) or integer (integer)(datetime)
One of:

A date and time following the ISO8601 notation.

string (date-time)(string)
answered_atstring (string) or integer (integer)(datetime)
One of:

A date and time following the ISO8601 notation.

string (date-time)(string)
ended_atstring (string) or integer (integer)(datetime)
One of:

A date and time following the ISO8601 notation.

string (date-time)(string)
created_atstring (string) or integer (integer)(datetime)
One of:

A date and time following the ISO8601 notation.

string (date-time)(string)
updated_atstring (string) or integer (integer)(datetime)
One of:

A date and time following the ISO8601 notation.

string (date-time)(string)
recording_urlstring or null, (uri)

API URL to download or redirect to the call recording if available.

Example:"https://api.intercom.io/calls/123/recording"
call_typestring

The type of call.

Example:"phone"
directionstring

The direction of the call.

Example:"outbound"
ended_reasonstring or null

The reason for the call end, if applicable.

Example:"completed"
phonestring or null

The phone number involved in the call, in E.164 format.

Example:"+15551234567"
fin_recording_urlstring or null, (uri)

API URL to the AI Agent (Fin) call recording if available.

fin_transcription_urlstring or null, (uri)

API URL to the AI Agent (Fin) call transcript if available.

Response
{ "type": "call", "id": "123", "conversation_id": "456", "admin_id": "789", "contact_id": "6762f0dd1bb69f9f2193bb83", "state": "completed", "initiated_at": 1734537437, "answered_at": 1734537440, "ended_at": 1734537530, "created_at": 1734537437, "updated_at": 1734537531, "recording_url": "https://api.intercom.io/calls/123/recording", "transcription_url": "https://api.intercom.io/calls/123/transcript", "call_type": "phone", "direction": "outbound", "ended_reason": "answered", "phone": "+15551234567", "fin_recording_url": "https://api.intercom.io/calls/124/recording", "fin_transcription_url": "https://api.intercom.io/calls/124/transcript" }